<?php
$operatorMeta = array(
    'operators' => array(
        'op-1' => array(
            'id' => 'op-1',
            'type' => 'OnDataChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Opportunities',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'after_save',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Opportunities',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'Opportunities',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-2' => array(
            'id' => 'op-2',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-4' => array(
            'id' => 'op-4',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'i_OppDigest',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'opportunity_id_c',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'i_OppDigest',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'i_OppDigest',
                                    ),
            ),
        ),
        'op-5' => array(
            'id' => 'op-5',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Opportunities',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'id',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'sales_status',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
                'fields3' => array(
                    'id' => 'fields3',
                                        'value' => 'sales_status',
                                        'section' => 'fields',
                ),
                'fields4' => array(
                    'id' => 'fields4',
                                        'value' => 'assigned_user_name',
                                        'section' => 'fields',
                ),
                'fields5' => array(
                    'id' => 'fields5',
                                        'value' => 'team_id',
                                        'section' => 'fields',
                ),
                'fields6' => array(
                    'id' => 'fields6',
                                        'value' => 'account_id',
                                        'section' => 'fields',
                ),
                'fields7' => array(
                    'id' => 'fields7',
                                        'value' => 'amount',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-6' => array(
            'id' => 'op-6',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-7' => array(
            'id' => 'op-7',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'sales_status_dom',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'New',
                                    ),
            ),
        ),
        'op-8' => array(
            'id' => 'op-8',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'sales_status_dom',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'In Progress',
                                    ),
            ),
        ),
        'op-9' => array(
            'id' => 'op-9',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-10' => array(
            'id' => 'op-10',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-12' => array(
            'id' => 'op-12',
            'type' => 'OrOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-13' => array(
            'id' => 'op-13',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'i_OppDigest',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'assigned_user_id',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'i_OppDigest',
                                    ),
            ),
        ),
        'op-15' => array(
            'id' => 'op-15',
            'type' => 'RetrieveEntitiesByAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'i_OppDigest',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'opportunity_id_c',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entities' => array(
                    'id' => 'entities',
                                        'value' => 'i_OppDigest',
                                    ),
                'entitiesNumber' => array(
                    'id' => 'entitiesNumber',
                                        'value' => '',
                                    ),
                'singleEntity' => array(
                    'id' => 'singleEntity',
                                        'value' => 'i_OppDigest',
                                    ),
            ),
        ),
        'op-16' => array(
            'id' => 'op-16',
            'type' => 'ConcatenateStringsOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand3' => array(
                    'id' => 'operand3',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand4' => array(
                    'id' => 'operand4',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand5' => array(
                    'id' => 'operand5',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand6' => array(
                    'id' => 'operand6',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand7' => array(
                    'id' => 'operand7',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand8' => array(
                    'id' => 'operand8',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand9' => array(
                    'id' => 'operand9',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-17' => array(
            'id' => 'op-17',
            'type' => 'ConstantStringOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => ' --- ',
                                    ),
            ),
        ),
        'op-18' => array(
            'id' => 'op-18',
            'type' => 'RetrieveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Teams',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Teams',
                                    ),
            ),
        ),
        'op-19' => array(
            'id' => 'op-19',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Teams',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-20' => array(
            'id' => 'op-20',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'i_OppDigest',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'deleted',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'i_OppDigest',
                                    ),
            ),
        ),
        'op-21' => array(
            'id' => 'op-21',
            'type' => 'ConstantNumberOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '1',
                                    ),
            ),
        ),
        'op-22' => array(
            'id' => 'op-22',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'i_OppDigest',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'i_OppDigest',
                                    ),
            ),
        ),
        'op-23' => array(
            'id' => 'op-23',
            'type' => 'ConstantNumberOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '1',
                                    ),
            ),
        ),
        'op-25' => array(
            'id' => 'op-25',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'i_OppDigest',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'i_OppDigest',
                                    ),
            ),
        ),
        'op-26' => array(
            'id' => 'op-26',
            'type' => 'CreateEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'i_OppDigest',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'i_OppDigest',
                                    ),
            ),
        ),
        'op-27' => array(
            'id' => 'op-27',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'i_OppDigest',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'name',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'opportunity_id_c',
                                        'section' => 'fields',
                ),
                'fields2' => array(
                    'id' => 'fields2',
                                        'value' => 'assigned_user_id',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'i_OppDigest',
                                    ),
            ),
        ),
        'op-28' => array(
            'id' => 'op-28',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'i_OppDigest',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'i_OppDigest',
                                    ),
            ),
        ),
        'op-29' => array(
            'id' => 'op-29',
            'type' => 'LinkEntitiesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'objectEntity' => array(
                    'id' => 'objectEntity',
                                        'value' => 'i_OppDigest',
                                    ),
                'subjectEntity' => array(
                    'id' => 'subjectEntity',
                                        'value' => 'Accounts',
                                    ),
                'linkName' => array(
                    'id' => 'linkName',
                                        'value' => 'accounts_i_oppdigest_1',
                                    ),
            ),
            'outDataPorts' => array(
                'objectEntity' => array(
                    'id' => 'objectEntity',
                                        'value' => 'i_OppDigest',
                                    ),
                'subjectEntity' => array(
                    'id' => 'subjectEntity',
                                        'value' => 'Accounts',
                                    ),
            ),
        ),
        'op-30' => array(
            'id' => 'op-30',
            'type' => 'RetrieveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Accounts',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Accounts',
                                    ),
            ),
        ),
        'op-32' => array(
            'id' => 'op-32',
            'type' => 'ConstantNumberOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '1',
                                    ),
            ),
        ),
        'op-33' => array(
            'id' => 'op-33',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-34' => array(
            'id' => 'op-34',
            'type' => 'ConstantNumberOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '1',
                                    ),
            ),
        ),
        'op-35' => array(
            'id' => 'op-35',
            'type' => 'LessThanOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-1' => array(
            'from' => 'op-1isNewRecord',
            'fromOperator' => 'op-1',
            'fromConnector' => 'isNewRecord',
            'to' => 'op-2condition',
            'toOperator' => 'op-2',
            'toConnector' => 'condition'
        ),
        'link-5' => array(
            'from' => 'op-1entity',
            'fromOperator' => 'op-1',
            'fromConnector' => 'entity',
            'to' => 'op-5entity',
            'toOperator' => 'op-5',
            'toConnector' => 'entity'
        ),
        'link-6' => array(
            'from' => 'op-5fields0',
            'fromOperator' => 'op-5',
            'fromConnector' => 'fields0',
            'to' => 'op-4fields0',
            'toOperator' => 'op-4',
            'toConnector' => 'fields0'
        ),
        'link-8' => array(
            'from' => 'op-2controlFlowIfFalse',
            'fromOperator' => 'op-2',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-6controlFlow',
            'toOperator' => 'op-6',
            'toConnector' => 'controlFlow'
        ),
        'link-9' => array(
            'from' => 'op-6controlFlowIfTrue',
            'fromOperator' => 'op-6',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-4controlFlow',
            'toOperator' => 'op-4',
            'toConnector' => 'controlFlow'
        ),
        'link-10' => array(
            'from' => 'op-5fields1',
            'fromOperator' => 'op-5',
            'fromConnector' => 'fields1',
            'to' => 'op-9operand1',
            'toOperator' => 'op-9',
            'toConnector' => 'operand1'
        ),
        'link-11' => array(
            'from' => 'op-7dropdownValue',
            'fromOperator' => 'op-7',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-9operand2',
            'toOperator' => 'op-9',
            'toConnector' => 'operand2'
        ),
        'link-12' => array(
            'from' => 'op-5fields1',
            'fromOperator' => 'op-5',
            'fromConnector' => 'fields1',
            'to' => 'op-10operand1',
            'toOperator' => 'op-10',
            'toConnector' => 'operand1'
        ),
        'link-13' => array(
            'from' => 'op-8dropdownValue',
            'fromOperator' => 'op-8',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-10operand2',
            'toOperator' => 'op-10',
            'toConnector' => 'operand2'
        ),
        'link-16' => array(
            'from' => 'op-9result',
            'fromOperator' => 'op-9',
            'fromConnector' => 'result',
            'to' => 'op-12operand1',
            'toOperator' => 'op-12',
            'toConnector' => 'operand1'
        ),
        'link-17' => array(
            'from' => 'op-10result',
            'fromOperator' => 'op-10',
            'fromConnector' => 'result',
            'to' => 'op-12operand2',
            'toOperator' => 'op-12',
            'toConnector' => 'operand2'
        ),
        'link-18' => array(
            'from' => 'op-12result',
            'fromOperator' => 'op-12',
            'fromConnector' => 'result',
            'to' => 'op-6condition',
            'toOperator' => 'op-6',
            'toConnector' => 'condition'
        ),
        'link-20' => array(
            'from' => 'op-4singleEntity',
            'fromOperator' => 'op-4',
            'fromConnector' => 'singleEntity',
            'to' => 'op-13entity',
            'toOperator' => 'op-13',
            'toConnector' => 'entity'
        ),
        'link-21' => array(
            'from' => 'op-5fields2',
            'fromOperator' => 'op-5',
            'fromConnector' => 'fields2',
            'to' => 'op-16operand1',
            'toOperator' => 'op-16',
            'toConnector' => 'operand1'
        ),
        'link-22' => array(
            'from' => 'op-17result',
            'fromOperator' => 'op-17',
            'fromConnector' => 'result',
            'to' => 'op-16operand2',
            'toOperator' => 'op-16',
            'toConnector' => 'operand2'
        ),
        'link-23' => array(
            'from' => 'op-5fields3',
            'fromOperator' => 'op-5',
            'fromConnector' => 'fields3',
            'to' => 'op-16operand3',
            'toOperator' => 'op-16',
            'toConnector' => 'operand3'
        ),
        'link-24' => array(
            'from' => 'op-17result',
            'fromOperator' => 'op-17',
            'fromConnector' => 'result',
            'to' => 'op-16operand4',
            'toOperator' => 'op-16',
            'toConnector' => 'operand4'
        ),
        'link-26' => array(
            'from' => 'op-5fields5',
            'fromOperator' => 'op-5',
            'fromConnector' => 'fields5',
            'to' => 'op-18id',
            'toOperator' => 'op-18',
            'toConnector' => 'id'
        ),
        'link-27' => array(
            'from' => 'op-18entity',
            'fromOperator' => 'op-18',
            'fromConnector' => 'entity',
            'to' => 'op-19entity',
            'toOperator' => 'op-19',
            'toConnector' => 'entity'
        ),
        'link-28' => array(
            'from' => 'op-1controlFlow',
            'fromOperator' => 'op-1',
            'fromConnector' => 'controlFlow',
            'to' => 'op-18controlFlow',
            'toOperator' => 'op-18',
            'toConnector' => 'controlFlow'
        ),
        'link-29' => array(
            'from' => 'op-18controlFlow',
            'fromOperator' => 'op-18',
            'fromConnector' => 'controlFlow',
            'to' => 'op-2controlFlow',
            'toOperator' => 'op-2',
            'toConnector' => 'controlFlow'
        ),
        'link-30' => array(
            'from' => 'op-6controlFlowIfFalse',
            'fromOperator' => 'op-6',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-15controlFlow',
            'toOperator' => 'op-15',
            'toConnector' => 'controlFlow'
        ),
        'link-31' => array(
            'from' => 'op-5fields0',
            'fromOperator' => 'op-5',
            'fromConnector' => 'fields0',
            'to' => 'op-15fields0',
            'toOperator' => 'op-15',
            'toConnector' => 'fields0'
        ),
        'link-32' => array(
            'from' => 'op-15controlFlow',
            'fromOperator' => 'op-15',
            'fromConnector' => 'controlFlow',
            'to' => 'op-20controlFlow',
            'toOperator' => 'op-20',
            'toConnector' => 'controlFlow'
        ),
        'link-33' => array(
            'from' => 'op-15singleEntity',
            'fromOperator' => 'op-15',
            'fromConnector' => 'singleEntity',
            'to' => 'op-20entity',
            'toOperator' => 'op-20',
            'toConnector' => 'entity'
        ),
        'link-34' => array(
            'from' => 'op-21result',
            'fromOperator' => 'op-21',
            'fromConnector' => 'result',
            'to' => 'op-20fields0',
            'toOperator' => 'op-20',
            'toConnector' => 'fields0'
        ),
        'link-35' => array(
            'from' => 'op-20controlFlow',
            'fromOperator' => 'op-20',
            'fromConnector' => 'controlFlow',
            'to' => 'op-22controlFlow',
            'toOperator' => 'op-22',
            'toConnector' => 'controlFlow'
        ),
        'link-36' => array(
            'from' => 'op-20entity',
            'fromOperator' => 'op-20',
            'fromConnector' => 'entity',
            'to' => 'op-22entity',
            'toOperator' => 'op-22',
            'toConnector' => 'entity'
        ),
        'link-37' => array(
            'from' => 'op-16result',
            'fromOperator' => 'op-16',
            'fromConnector' => 'result',
            'to' => 'op-13fields0',
            'toOperator' => 'op-13',
            'toConnector' => 'fields0'
        ),
        'link-38' => array(
            'from' => 'op-23result',
            'fromOperator' => 'op-23',
            'fromConnector' => 'result',
            'to' => 'op-13fields1',
            'toOperator' => 'op-13',
            'toConnector' => 'fields1'
        ),
        'link-39' => array(
            'from' => 'op-13controlFlow',
            'fromOperator' => 'op-13',
            'fromConnector' => 'controlFlow',
            'to' => 'op-25controlFlow',
            'toOperator' => 'op-25',
            'toConnector' => 'controlFlow'
        ),
        'link-40' => array(
            'from' => 'op-13entity',
            'fromOperator' => 'op-13',
            'fromConnector' => 'entity',
            'to' => 'op-25entity',
            'toOperator' => 'op-25',
            'toConnector' => 'entity'
        ),
        'link-41' => array(
            'from' => 'op-17result',
            'fromOperator' => 'op-17',
            'fromConnector' => 'result',
            'to' => 'op-16operand6',
            'toOperator' => 'op-16',
            'toConnector' => 'operand6'
        ),
        'link-42' => array(
            'from' => 'op-19fields0',
            'fromOperator' => 'op-19',
            'fromConnector' => 'fields0',
            'to' => 'op-16operand7',
            'toOperator' => 'op-16',
            'toConnector' => 'operand7'
        ),
        'link-43' => array(
            'from' => 'op-26controlFlow',
            'fromOperator' => 'op-26',
            'fromConnector' => 'controlFlow',
            'to' => 'op-27controlFlow',
            'toOperator' => 'op-27',
            'toConnector' => 'controlFlow'
        ),
        'link-44' => array(
            'from' => 'op-26entity',
            'fromOperator' => 'op-26',
            'fromConnector' => 'entity',
            'to' => 'op-27entity',
            'toOperator' => 'op-27',
            'toConnector' => 'entity'
        ),
        'link-45' => array(
            'from' => 'op-27controlFlow',
            'fromOperator' => 'op-27',
            'fromConnector' => 'controlFlow',
            'to' => 'op-28controlFlow',
            'toOperator' => 'op-28',
            'toConnector' => 'controlFlow'
        ),
        'link-46' => array(
            'from' => 'op-27entity',
            'fromOperator' => 'op-27',
            'fromConnector' => 'entity',
            'to' => 'op-28entity',
            'toOperator' => 'op-28',
            'toConnector' => 'entity'
        ),
        'link-47' => array(
            'from' => 'op-28controlFlow',
            'fromOperator' => 'op-28',
            'fromConnector' => 'controlFlow',
            'to' => 'op-30controlFlow',
            'toOperator' => 'op-30',
            'toConnector' => 'controlFlow'
        ),
        'link-48' => array(
            'from' => 'op-5fields6',
            'fromOperator' => 'op-5',
            'fromConnector' => 'fields6',
            'to' => 'op-30id',
            'toOperator' => 'op-30',
            'toConnector' => 'id'
        ),
        'link-49' => array(
            'from' => 'op-30controlFlow',
            'fromOperator' => 'op-30',
            'fromConnector' => 'controlFlow',
            'to' => 'op-29controlFlow',
            'toOperator' => 'op-29',
            'toConnector' => 'controlFlow'
        ),
        'link-50' => array(
            'from' => 'op-28entity',
            'fromOperator' => 'op-28',
            'fromConnector' => 'entity',
            'to' => 'op-29objectEntity',
            'toOperator' => 'op-29',
            'toConnector' => 'objectEntity'
        ),
        'link-51' => array(
            'from' => 'op-30entity',
            'fromOperator' => 'op-30',
            'fromConnector' => 'entity',
            'to' => 'op-29subjectEntity',
            'toOperator' => 'op-29',
            'toConnector' => 'subjectEntity'
        ),
        'link-52' => array(
            'from' => 'op-2controlFlowIfTrue',
            'fromOperator' => 'op-2',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-26controlFlow',
            'toOperator' => 'op-26',
            'toConnector' => 'controlFlow'
        ),
        'link-53' => array(
            'from' => 'op-16result',
            'fromOperator' => 'op-16',
            'fromConnector' => 'result',
            'to' => 'op-27fields0',
            'toOperator' => 'op-27',
            'toConnector' => 'fields0'
        ),
        'link-54' => array(
            'from' => 'op-5fields0',
            'fromOperator' => 'op-5',
            'fromConnector' => 'fields0',
            'to' => 'op-27fields1',
            'toOperator' => 'op-27',
            'toConnector' => 'fields1'
        ),
        'link-55' => array(
            'from' => 'op-32result',
            'fromOperator' => 'op-32',
            'fromConnector' => 'result',
            'to' => 'op-27fields2',
            'toOperator' => 'op-27',
            'toConnector' => 'fields2'
        ),
        'link-56' => array(
            'from' => 'op-34result',
            'fromOperator' => 'op-34',
            'fromConnector' => 'result',
            'to' => 'op-35operand2',
            'toOperator' => 'op-35',
            'toConnector' => 'operand2'
        ),
        'link-57' => array(
            'from' => 'op-4entitiesNumber',
            'fromOperator' => 'op-4',
            'fromConnector' => 'entitiesNumber',
            'to' => 'op-35operand1',
            'toOperator' => 'op-35',
            'toConnector' => 'operand1'
        ),
        'link-58' => array(
            'from' => 'op-35result',
            'fromOperator' => 'op-35',
            'fromConnector' => 'result',
            'to' => 'op-33condition',
            'toOperator' => 'op-33',
            'toConnector' => 'condition'
        ),
        'link-59' => array(
            'from' => 'op-4controlFlow',
            'fromOperator' => 'op-4',
            'fromConnector' => 'controlFlow',
            'to' => 'op-33controlFlow',
            'toOperator' => 'op-33',
            'toConnector' => 'controlFlow'
        ),
        'link-60' => array(
            'from' => 'op-33controlFlowIfFalse',
            'fromOperator' => 'op-33',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-13controlFlow',
            'toOperator' => 'op-13',
            'toConnector' => 'controlFlow'
        ),
        'link-61' => array(
            'from' => 'op-33controlFlowIfTrue',
            'fromOperator' => 'op-33',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-26controlFlow',
            'toOperator' => 'op-26',
            'toConnector' => 'controlFlow'
        ),
        'link-62' => array(
            'from' => 'op-5fields7',
            'fromOperator' => 'op-5',
            'fromConnector' => 'fields7',
            'to' => 'op-16operand5',
            'toOperator' => 'op-16',
            'toConnector' => 'operand5'
        ),
        'link-63' => array(
            'from' => 'op-17result',
            'fromOperator' => 'op-17',
            'fromConnector' => 'result',
            'to' => 'op-16operand8',
            'toOperator' => 'op-16',
            'toConnector' => 'operand8'
        ),
        'link-64' => array(
            'from' => 'op-5fields4',
            'fromOperator' => 'op-5',
            'fromConnector' => 'fields4',
            'to' => 'op-16operand9',
            'toOperator' => 'op-16',
            'toConnector' => 'operand9'
        ),
    )
);
