<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb60b7648e9c0a37_34222736/operators/FlowchartOperator_lb60b7648e9c0a37_34222736.php';

class CreateEntityOperator_lb60b7648e9c0a37_34222736 extends FlowchartOperator_lb60b7648e9c0a37_34222736{

    protected $entityName;
    protected $entity;

    public function __construct($params){
        parent::__construct($params);
    }

    public function setInDataPorts($params){
        $this->entityName = $params['inDataPorts']['module']['value'];

        $this->inDataPorts = array();
        foreach($params['inDataPorts'] as $portId => $param){
            $this->inDataPorts[$portId] = array('id' => $portId);
        }
    }

    public function setInDataPortById($id, $value){
        if($id == 'module')
            $this->entityName = $value;
        else if(!empty($this->inDataPorts[$id]))
            $this->inDataPorts[$id]['value'] = $value;
    }

    public function process($params = array()){
        if(!empty($this->entityName))
            $this->entity = BeanFactory::getBean($this->entityName);
    }

    public function getOutDataByPortId($portId){
        return $this->entity;
    }

}
