<?php

class FlowchartOperator_lb60b7648e9c0a37_34222736{

    protected $type;
    protected $id;

    protected $inControlPort = array();
    protected $outControlPort = array();

    protected $inDataPorts = array();
    protected $outDataPorts = array();

    public function __construct($params){
        $this->initOperator($params);
    }

    public function process($params = array()){
    }

    public function getElementId(){
        return $this->id;
    }

    public function getOutControlPort(){
        return $this->outControlPort;
    }

    protected function initOperator($params){
        $this->id = $params['id'];
        $this->type = $params['type'];

        $this->setInControlPort($params);
        $this->setOutControlPort($params);

        $this->setInDataPorts($params);
        $this->setOutDataPorts($params);

    }

    protected function setInControlPort($params){
        if(!empty($params['inControlPorts'])){
            $control = reset($params['inControlPorts']);
            $this->inControlPort = $control['id'];
        }
    }

    protected function setOutControlPort($params){
        if(!empty($params['outControlPorts'])){
            $control = reset($params['outControlPorts']);
            $this->outControlPort = $control['id'];
        }
    }

    public function setInDataPorts($params){
        if(!empty($params['inDataPorts']))
            $this->inDataPorts = $params['inDataPorts'];
    }

    public function setInDataPortById($id, $value){
        if(!empty($this->inDataPorts[$id]))
            $this->inDataPorts[$id]['value'] = $value;
    }

    protected function setOutDataPorts($params){
        if(!empty($params['outDataPorts']))
            $this->outDataPorts = $params['outDataPorts'];
    }

    public function getInDataPorts(){
        return $this->inDataPorts;
    }

//    public function getOutDataPorts(){
//        return $this->outDataPorts;
//    }

    public function getOutDataByPortId($portId){
        return $this->outDataPorts[$portId]['value'];
    }
}

